<?php
require_once(UTIL_DIR.'CsrfUtil.class.php');
/**
 * CSRF用ID埋め込み処理
 *
 * @param  array   $params     [IN] :パラメーター
 * @param  Smarty  &$smarty    [OUT]:Smartyオブジェクト
 * @return string  CSRF用ID埋め込み用inputタグ文字列
 */
function smarty_function_csrf($params, &$smarty) {
    $tmpl = '<input type="hidden" name="%s" value="%s" />';
    return sprintf($tmpl, CsrfUtil::bm_getKey(), CsrfUtil::bm_getID());
}
?>